Package org.silverpeas.components.scheduleevent.service.model.beans

# Class ScheduleEvent

java.lang.Object
org.silverpeas.components.scheduleevent.service.model.beans.ScheduleEvent

All Implemented Interfaces:
  `Serializable`, `ScheduleEventBean`, `org.silverpeas.core.contribution.model.Contribution`, `org.silverpeas.core.contribution.model.SilverpeasContent`, `org.silverpeas.core.contribution.model.SilverpeasToolContent`, `org.silverpeas.core.Identifiable`, `org.silverpeas.core.Instance<org.silverpeas.core.contribution.model.Contribution>`, `org.silverpeas.core.Nameable`, `org.silverpeas.core.security.Securable`, `org.silverpeas.core.SilverpeasResource`

@Entity public class ScheduleEvent extends Object implements org.silverpeas.core.contribution.model.SilverpeasToolContent, ScheduleEventBean, Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScheduleEvent()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canBeAccessedBy(org.silverpeas.core.admin.user.model.User user)`
  Is the specified user can access this content?
  `boolean`
  `equals(Object obj)`
  `int`
  `getAuthor()`
  `String`
  `getComponentInstanceId()`
  `String`
  `getContributionType()`
  `Set<Contributor>`
  `getContributors()`
  `Date`
  `getCreationDate()`
  `org.silverpeas.core.admin.user.model.User`
  `getCreator()`
  `Set<DateOption>`
  `getDates()`
  `String`
  `getDescription()`
  `String`
  `getId()`
  `Date`
  `getLastUpdateDate()`
  `org.silverpeas.core.admin.user.model.User`
  `getLastUpdater()`
  `static String`
  `getResourceType()`
  The type of this resource
  `Set<Response>`
  `getResponses()`
  `int`
  `getStatus()`
  `String`
  `getTitle()`
  `String`
  `getURL()`
  `int`
  `hashCode()`
  `void`
  `setAuthor(int author)`
  `void`
  `setCreationDate(Date creationDate)`
  `void`
  `setDescription(String description)`
  `void`
  `setId(String id)`
  `void`
  `setStatus(int status)`
  `void`
  `setTitle(String title)`
  `protected void`
  `setUpId()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.contribution.model.Contribution

  `getModel, getName, getResourcePath, isIndexable`

  ### Methods inherited from interface org.silverpeas.core.Instance

  `getParent`

  ### Methods inherited from interface org.silverpeas.core.security.Securable

  `canBeDeletedBy, canBeFiledInBy, canBeModifiedBy`

  ### Methods inherited from interface org.silverpeas.core.contribution.model.SilverpeasContent

  `getIdentifier, getSilverpeasContentId`

- ## Field Details

  - ### TYPE

    public static final String TYPE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ScheduleEvent

    public ScheduleEvent()

- ## Method Details

  - ### setUpId

    protected void setUpId()

  - ### getId

    public String getId()
    Specified by:
      `getId` in interface `org.silverpeas.core.Identifiable`
    Specified by:
      `getId` in interface `ScheduleEventBean`
    Specified by:
      `getId` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`

  - ### setId

    public void setId(String id)
    Specified by:
      `setId` in interface `ScheduleEventBean`

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `org.silverpeas.core.contribution.model.Contribution`
    Specified by:
      `getTitle` in interface `ScheduleEventBean`

  - ### setTitle

    public void setTitle(String title)
    Specified by:
      `setTitle` in interface `ScheduleEventBean`

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in interface `org.silverpeas.core.contribution.model.Contribution`
    Specified by:
      `getDescription` in interface `org.silverpeas.core.Nameable`
    Specified by:
      `getDescription` in interface `ScheduleEventBean`

  - ### setDescription

    public void setDescription(String description)
    Specified by:
      `setDescription` in interface `ScheduleEventBean`

  - ### getCreationDate

    public Date getCreationDate()
    Specified by:
      `getCreationDate` in interface `ScheduleEventBean`
    Specified by:
      `getCreationDate` in interface `org.silverpeas.core.SilverpeasResource`

  - ### setCreationDate

    public void setCreationDate(Date creationDate)
    Specified by:
      `setCreationDate` in interface `ScheduleEventBean`

  - ### getLastUpdater

    public org.silverpeas.core.admin.user.model.User getLastUpdater()
    Specified by:
      `getLastUpdater` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getLastUpdateDate

    public Date getLastUpdateDate()
    Specified by:
      `getLastUpdateDate` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getAuthor

    public int getAuthor()
    Specified by:
      `getAuthor` in interface `ScheduleEventBean`

  - ### setAuthor

    public void setAuthor(int author)
    Specified by:
      `setAuthor` in interface `ScheduleEventBean`

  - ### getDates

    public Set<DateOption> getDates()
    Specified by:
      `getDates` in interface `ScheduleEventBean`

  - ### getContributors

    public Set<Contributor> getContributors()
    Specified by:
      `getContributors` in interface `ScheduleEventBean`

  - ### getResponses

    public Set<Response> getResponses()
    Specified by:
      `getResponses` in interface `ScheduleEventBean`

  - ### getStatus

    public int getStatus()
    Specified by:
      `getStatus` in interface `ScheduleEventBean`

  - ### setStatus

    public void setStatus(int status)
    Specified by:
      `setStatus` in interface `ScheduleEventBean`

  - ### getComponentInstanceId

    public String getComponentInstanceId()
    Specified by:
      `getComponentInstanceId` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`

  - ### getCreator

    public org.silverpeas.core.admin.user.model.User getCreator()
    Specified by:
      `getCreator` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getContributionType

    public String getContributionType()
    Specified by:
      `getContributionType` in interface `org.silverpeas.core.contribution.model.Contribution`

  - ### canBeAccessedBy

    public boolean canBeAccessedBy(org.silverpeas.core.admin.user.model.User user)
    Is the specified user can access this content?

    The user can access this event if it is either the author or a contributor of this event.

    Specified by:
      `canBeAccessedBy` in interface `org.silverpeas.core.contribution.model.Contribution`
    Specified by:
      `canBeAccessedBy` in interface `org.silverpeas.core.security.Securable`
    Parameters:
      `user` - a user in Silverpeas.
    Returns:
      true if the tool belongs to the personal workspace of the specified user, false otherwise.

  - ### getResourceType

    public static String getResourceType()
    The type of this resource
    Returns:
      the same value returned by getContributionType()

  - ### getURL

    public String getURL()
    Specified by:
      `getURL` in interface `org.silverpeas.core.contribution.model.SilverpeasToolContent`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`